package cn.cecep.talroad.domain;


import cn.cecep.talroad.common.core.annotation.Excel;
import cn.cecep.talroad.common.core.utils.StringUtils;
import cn.cecep.talroad.common.core.web.domain.BaseEntity;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.FieldFill;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableLogic;
import com.baomidou.mybatisplus.annotation.Version;
import java.util.Date;


/**
 * 固定源产排治--执行报告--火电废水污染治理设施正常情况对象 b_stat_table_zxbg_hd_water_pollution
 *
 * @author szhpt
 * @date 2023-08-01*/
@ApiModel(value = "固定源产排治--执行报告--火电废水污染治理设施正常情况")
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("b_stat_table_zxbg_hd_water_pollution")
public class BStatTableZxbgHdWaterPollution extends BStatTableZxbgJbxxInfoFactoryBase
{
    private static final long serialVersionUID = 1L;


    @ApiModelProperty(value = "主键id")
    /** 主键id */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;


    @ApiModelProperty(value = "企业id")
    /** 企业id */
    private String factoryId;


    @ApiModelProperty(value = "执行报告类型，0：月报，1：季报，2：年报")
    /** 执行报告类型，0：月报，1：季报，2：年报 */
    @Excel(name = "执行报告类型")
    private String zxbgType;


    @ApiModelProperty(value = "执行报告周期")
    /** 执行报告周期 */
    @Excel(name = "报告周期")
    private String zxbgPeriod;


    @ApiModelProperty(value = "废水类别")
    /** 废水类别 */
    @Excel(name = "废水类别")
    private String waterCategory;

    @ApiModelProperty(value = "治理设施编号")
    /** 治理设施编号 */
    @Excel(name = "治理设施编号")
    private String governanceFacilityCode;


    @ApiModelProperty(value = "治理设施名称")
    /** 治理设施名称 */
    @Excel(name = "治理设施名称")
    private String governanceFacilityName;


    @ApiModelProperty(value = "治理设施运行时间（小时）")
    /** 治理设施运行时间（小时） */
    @Excel(name = "治理设施运行时间（小时）")
    private String governanceFacilityTime;


    @ApiModelProperty(value = "污染治理设施工艺")
    /** 污染治理设施工艺 */
    @Excel(name = "污染治理设施工艺")
    private String pollutionFacilityTechnology;


    @ApiModelProperty(value = "污染因子")
    /** 污染因子 */
    @Excel(name = "污染因子")
    private String contaminateFactor;


    @ApiModelProperty(value = "排放去向")
    /** 排放去向 */
    @Excel(name = "排放去向")
    private String emissions;


    @ApiModelProperty(value = "受纳水体名称")
    /** 受纳水体名称 */
    @Excel(name = "受纳水体名称")
    private String receivingName;


    @ApiModelProperty(value = "用电量")
    /** 用电量 */
    @Excel(name = "用电量")
    private String electricityConsumption;


    @ApiModelProperty(value = "污水设计处理能力")
    /** 污水设计处理能力 */
    @Excel(name = "污水设计处理能力")
    private String processingPower;


    @ApiModelProperty(value = "污水实际处理量")
    /** 污水实际处理量 */
    @Excel(name = "污水实际处理量")
    private String actualProcessingVolume;


    @ApiModelProperty(value = "污水实际会用量")
    /** 污水实际会用量 */
    @Excel(name = "污水实际会用量")
    private String willAmount;


    @ApiModelProperty(value = "污水实际排放量")
    /** 污水实际排放量 */
    @Excel(name = "污水实际排放量")
    private String actualEmissions;


    @ApiModelProperty(value = "废水设计处理能力")
    /** 废水设计处理能力 */
    @Excel(name = "废水设计处理能力")
    private String designProcessingPower;


    @ApiModelProperty(value = "废水实际处理量")
    /** 废水实际处理量 */
    @Excel(name = "废水实际处理量")
    private String waterTreatmentVolume;


    @ApiModelProperty(value = "废水实际会用量")
    /** 废水实际会用量 */
    @Excel(name = "废水实际会用量")
    private String waterWillAmount;


    @ApiModelProperty(value = "废水实际排放量")
    /** 废水实际排放量 */
    @Excel(name = "废水实际排放量")
    private String waterActualEmissions;


    @ApiModelProperty(value = "污泥生成量")
    /** 污泥生成量 */
    @Excel(name = "污泥生成量")
    private String sludgeGeneration;


    @ApiModelProperty(value = "污泥含水率")
    /** 污泥含水率 */
    @Excel(name = "污泥含水率")
    private String sludgeMoistureContent;


    @ApiModelProperty(value = "循环冷却水排放量")
    /** 循环冷却水排放量 */
    @Excel(name = "循环冷却水排放量")
    private String circulatingCooling;


    @ApiModelProperty(value = "直流冷却水排水量")
    /** 直流冷却水排水量 */
    @Excel(name = "直流冷却水排水量")
    private String coolingDischarge;


    @ApiModelProperty(value = "污泥处置方式")
    /** 污泥处置方式 */
    @Excel(name = "污泥处置方式")
    private String sludgeDisposalMethod;


    @ApiModelProperty(value = "污染治理设施运行费用")
    /** 污染治理设施运行费用 */
    @Excel(name = "污染治理设施运行费用")
    private String facilityOperatingCosts;


    public String getZxbgType() {
        return zxbgType;
    }

    public void setZxbgType(String zxbgType) {
        //0：月报，1：季报，2：年报
        if(StringUtils.isNotBlank(zxbgType)){
            if(zxbgType.equals("0")){this.zxbgType = "月报";}
            if(zxbgType.equals("1")){this.zxbgType = "季报";}
            if(zxbgType.equals("2")){this.zxbgType = "年报";}
        }else {
            this.zxbgType = zxbgType;
        }
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("factoryId", getFactoryId())
            .append("zxbgType", getZxbgType())
            .append("zxbgPeriod", getZxbgPeriod())
            .append("waterCategory", getWaterCategory())
            .append("governanceFacilityCode", getGovernanceFacilityCode())
            .append("governanceFacilityName", getGovernanceFacilityName())
            .append("governanceFacilityTime", getGovernanceFacilityTime())
            .append("pollutionFacilityTechnology", getPollutionFacilityTechnology())
            .append("contaminateFactor", getContaminateFactor())
            .append("emissions", getEmissions())
            .append("receivingName", getReceivingName())
            .append("electricityConsumption", getElectricityConsumption())
            .append("processingPower", getProcessingPower())
            .append("actualProcessingVolume", getActualProcessingVolume())
            .append("willAmount", getWillAmount())
            .append("actualEmissions", getActualEmissions())
            .append("designProcessingPower", getDesignProcessingPower())
            .append("waterTreatmentVolume", getWaterTreatmentVolume())
            .append("waterWillAmount", getWaterWillAmount())
            .append("waterActualEmissions", getWaterActualEmissions())
            .append("sludgeGeneration", getSludgeGeneration())
            .append("sludgeMoistureContent", getSludgeMoistureContent())
            .append("circulatingCooling", getCirculatingCooling())
            .append("coolingDischarge", getCoolingDischarge())
            .append("sludgeDisposalMethod", getSludgeDisposalMethod())
            .append("facilityOperatingCosts", getFacilityOperatingCosts())
            .append("createTime", getCreateTime())
            .toString();
    }
}
